Summary: Stub rpm to set up LONCAPA dependencies
Name: LONCAPA-prerequisites
Version: 1
Release: 23.1.suse13.2.lc
License: GPL
Group: Applications/Internet
URL: www.loncapa.org
Source0: %{name}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
Requires: apache2 gd perl perl-GD perl-GD-Barcode perl-GDGraph perl-GD-Graph3d perl-GDTextUtil ImageMagick perl-PerlMagick apache2-mod_perl mysql perl-DBD-mysql perl-DBI perl-Algorithm-Diff perl-Authen-Krb5 perl-Authen-PAM perl-Crypt-DES perl-Crypt-IDEA perl-Crypt-SSLeay perl-Event perl-HTML-Parser_loncapa perl-HTML-Tree perl-IO-Socket-SSL perl-IO-stringy perl-MailTools perl-Math-Cephes perl-Math-Random perl-Net-PH perl-Net-SSLeay perl-OLE-Storage_Lite perl-Parse-RecDescent perl-Pod-POM perl-PostScript-Simple perl-Safe-Hole perl-Spreadsheet-WriteExcel perl-String-CRC32 perl-String-Similarity perl-Text-Aspell perl-Text-Query perl-TimeDate aspell perl-IO-Socket-SSL perl-MIME-Lite perl-MIME-Types zip perl-libwww-perl ghostscript psutils ntp at gnuplot perl-Cache-Memcached memcached mailx wget whois make perl-Date-Manip unzip perl-Expect perl-IO-Tty maxima maxima-exec-clisp perl-DateTime perl-Authen-Captcha perl-XML-DOM perl-File-MMagic perl-RTF-HTMLConverter perl-Image-Size perl-Image-Info perl-Error texlive texlive-latex texlive-multirow texlive-wrapfig texlive-xtab texlive-dejavu texlive-dejavu-fonts perl-CAM-PDF texlive-acrotex R-base R-phpSerialize R-alr3 R-car R-Hmisc R-leaps R-lmtest R-qAnalyst R-quadprog R-SuppDists R-zoo perl-Tie-IxHash-Easy perl-XML-LibXML a2ps perl-Tree perl-TermReadKey groff perl-Captcha-reCAPTCHA aspell-en aspell-de aspell-es aspell-fr aspell-he aspell-pt aspell-tr perl-Digest-SHA1 ca-certificates ca-certificates-mozilla perl-LWP-Protocol-https
# Requirements for compilation of CAPA
Requires: bison flex swig
# Next require is just for installation of pwauth in the install script.
Requires: gcc patch
Requires: gnuplot >= 4.4
Requires: perl-XML-LibXML >= 1.59
Conflicts: mod_throttle mod_bandwidth
# Notes on requirements: Net::SMTP/perl-libnet is provided in perl-5.8.3

%description
LONCAPA-prerequisites configures a system to run LON-CAPA.

%prep
%setup -q

%build

%install
rm -rf $RPM_BUILD_ROOT
make PREFIX=$RPM_BUILD_ROOT%{_prefix}

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc README


%changelog
* Sun Apr 5 2015 Stuart raeburn <raeburn@loncapa.org>
- Add perl-LWP-Protocol-https

* Sun Jan 4 2015 Stuart Raeburn <raeburn@loncapa.org>
- Initial build 
